%define orig_name       phpwiki
%define extra           %{nil}
# FIXME: What about files that shouldn't be readable?
# FIXME: This includes removing .htaccess
# FIXME: And setting up as a proper webapp
%define serverroot      %{_var}/www/html/%{name}

Name:           %{orig_name}
Version:        1.3.14
Release:        %mkrel 6
Epoch:          0
Summary:        Wikiwiki management system written in PHP
Group:          System/Servers
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:        GPL
URL:            http://phpwiki.sourceforge.net/
Source0:        http://download.sourceforge.net/sourceforge/phpwiki/%{orig_name}-%{version}%{extra}.tar.bz2
Patch0:         phpwiki-1.3.11-use_system_nusoap.patch
Provides:       phpwiki1.3 = %{epoch}:%{version}-%{release}
Obsoletes:      phpwiki1.3 < %{epoch}:%{version}-%{release}
Requires:       apache
Requires:       mod_php
Requires:       nusoap
BuildArch:      noarch
# FIXME: Why?
AutoReq:        no

%description
PhpWiki is a WikiWikiWeb clone written in PHP. A Wiki is a Web site where
anyone can edit or create the pages through the Web browser, with no
authentication. PhpWiki works right out of the box with zero configuration, and
comes with a set of default pages. It's useful for collaborating on
documentation on a project, having freeform discussions, and easy editing and
searching.

%package themes
Summary:        Additional themes for %orig_name
Group:          System/Servers
Provides:       phpwiki1.3-themes = %{epoch}:%{version}-%{release}
Obsoletes:      phpwiki1.3-themes < %{epoch}:%{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}
AutoReq:        no

%description themes
Additional themes for %orig_name.

%prep
%setup -q -n %{orig_name}-%{version}%{extra}
%patch0 -p0 -b .use_system_nusoap
%{__rm} -r lib/nusoap
%{_bindir}/find . -name .cvsignore | %{_bindir}/xargs -t %{__rm}
%{__chmod} -Rf a+rX,u+w,g-w,o-w .

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{serverroot}
%{__chmod} 755 tests/*.pl tests/xmlrpc/curl-test lib/updateinterwikimap tests/unit/prepare_pl
%{__cp} -a *.php *.ico *.wsdl wiki config lib locale pgsrc schemas themes uploads %{buildroot}%{serverroot}
%{__rm} -f %{buildroot}%{serverroot}/themes/README
%{__mv} themes/README themes/README.themes

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,apache,apache,0755)
%doc INSTALL LICENSE README UPGRADING doc/* tests themes/README.themes
%defattr(-,apache,apache,0755)
%config(noreplace) %{serverroot}/index.php
%exclude %{serverroot}/index.php
%{serverroot}/*.php
%{serverroot}/*.ico
%{serverroot}/*.wsdl
%dir %{serverroot}/config
%dir %{serverroot}/config/*
%dir %{serverroot}/lib
%{serverroot}/lib/*
%dir %{serverroot}/pgsrc
%{serverroot}/pgsrc/*
%dir %{serverroot}/schemas
%{serverroot}/schemas/*
%dir %{serverroot}/locale
%{serverroot}/locale/*
%dir %{serverroot}/themes
%dir %{serverroot}/themes/default
%dir %{serverroot}/uploads
%{serverroot}/config/.htaccess
%{serverroot}/themes/default/*
%{serverroot}/lib/.htaccess
%{serverroot}/locale/.htaccess
%{serverroot}/locale/.exclude
%{serverroot}/pgsrc/.htaccess
%{serverroot}/schemas/.htaccess
%{serverroot}/uploads/.htaccess
%{serverroot}/uploads/highlight-emacs.css
%{serverroot}/uploads/index.php
%{serverroot}/wiki

%files themes
%defattr(-,apache,apache,0755)
%dir %{serverroot}/themes/Hawaiian
%{serverroot}/themes/Hawaiian/*
%dir %{serverroot}/themes/MacOSX
%{serverroot}/themes/MacOSX/*
%dir  %{serverroot}/themes/Portland
%{serverroot}/themes/Portland/*
%dir %{serverroot}/themes/Sidebar
%{serverroot}/themes/Sidebar/*
%dir %{serverroot}/themes/SpaceWiki
%{serverroot}/themes/SpaceWiki/*
%dir %{serverroot}/themes/Wordpress
%{serverroot}/themes/Wordpress/*
%dir %{serverroot}/themes/smaller
%{serverroot}/themes/smaller/*
%dir %{serverroot}/themes/wikilens
%{serverroot}/themes/wikilens/*
%dir %{serverroot}/themes/Crao
%{serverroot}/themes/Crao/*
%dir %{serverroot}/themes/MonoBook
%{serverroot}/themes/MonoBook/*
%{serverroot}/themes/alphatest.php
%dir %{serverroot}/themes/blog
%{serverroot}/themes/blog/*
%dir %{serverroot}/themes/shamino_com
%{serverroot}/themes/shamino_com/*


%changelog
* Sun Aug 17 2008 David Walluck <walluck@mandriva.org> 0:1.3.14-6mdv2009.0
+ Revision: 273024
- Provides/Obsoletes: phpwiki1.3 and phpwiki1.3-themes

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:1.3.14-5mdv2009.0
+ Revision: 259019
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:1.3.14-4mdv2009.0
+ Revision: 246896
- rebuild
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Jérôme Soyer <saispo@mandriva.org> 0:1.3.14-2mdv2008.1
+ Revision: 102972
- Rebuild
- fix
- Cleanning
- move
- Move 1.3 to normal

  + mandrake <mandrake@mandriva.com>
    - %repsys markrelease
      version: 0:1.3.14
      release: 1mdv2008.0
      revision: 58724
      Copying 0:1.3.14-1mdv2008.0 to releases/ directory.
    - Copying release 0:1.3.14-1mdv2008.0 to pristine/ directory.
    - Created directory for version 0:1.3.14.
    - Created releases directory.

* Fri Aug 03 2007 David Walluck <walluck@mandriva.org> 0:1.3.14-1mdv2008.0
+ Revision: 58724
- 1.3.14
- Import phpwiki1.3



* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-3mdv2008.0
- fix deps

* Sun Jul 23 2006 David Walluck <walluck@mandriva.org> 1.2.10-2mdv2007.0
- rebuild to update release

* Thu Sep 08 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-1mdk
- 1.2.10
- fix apache config
- use dba as default storage

* Thu Mar 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.7-1mdk
- 1.2.7
- strip away annoying ^M

* Thu Jun 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.4-1mdk
- 1.2.4

* Tue Mar 2 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.2.2-4mdk
- fixed typo in mail address at changelog

* Tue Mar 2 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.2.2-3mdk
- distlint DIRM fix

* Fri Jun 6 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.2-2mdk
- Copyright -> License
- removed localization macros (need investigation)

* Fri Jun 6 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.2-1mdk
- completelly rewriten spec file, new version etc..
- renamed package to phpwiki, old pwiki removed from contrib

* Tue Apr 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Wed Jan 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.9.1-1mdk
- new version

* Mon Dec 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0
- applied patch to export only the path to the file instead of a full
URL.

* Fri Dec 15 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.8-1mdk
- first mandrake version
